POST api/NTCriticalIncidentReport/PostIncidentCriticalReport
Request Information
URI Parameters
None.
Body Parameters
IncidentCriticalReportDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| CaseNo | integer |
None. |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| WLCode | string |
String length: inclusive between 0 and 20 |
|
| ChiefComplain | string |
String length: inclusive between 0 and 1000 |
|
| IncidentDate | date |
None. |
|
| IncidentTime | time interval |
None. |
|
| TimeZone | integer |
None. |
|
| TimeZoneName | string |
String length: inclusive between 0 and 150 |
|
| WorkLocationName | string |
String length: inclusive between 0 and 200 |
|
| CompanyName | string |
String length: inclusive between 0 and 100 |
|
| WorkLocationCode | string |
String length: inclusive between 0 and 20 |
|
| ReportedById | integer |
None. |
|
| ReportedByOtherValue | string |
String length: inclusive between 0 and 100 |
|
| ReportedByName | string |
String length: inclusive between 0 and 50 |
|
| ReportedByFirstName | string |
String length: inclusive between 0 and 100 |
|
| ReportedByLastName | string |
String length: inclusive between 0 and 100 |
|
| ReportedByEmail | string |
String length: inclusive between 0 and 100 |
|
| ReportedByJobTitle | string |
String length: inclusive between 0 and 100 |
|
| ReportedByCallerId | string |
String length: inclusive between 0 and 100 |
|
| IsReportedToMgmt | boolean |
None. |
|
| DateReportedToMgmt | date |
None. |
|
| lstIncidentCriticalReportEncounter | Collection of IncidentCriticalReportEncounterDTO |
None. |
|
| IncidentDateCheck | date |
None. |
|
| TotalNoOfEncounter | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
{
"CaseNo": 1,
"CorporationCode": "sample string 2",
"WLCode": "sample string 3",
"ChiefComplain": "sample string 4",
"IncidentDate": "2026-08-04T14:29:28.1459124-07:00",
"IncidentTime": "00:00:00.1234567",
"TimeZone": 1,
"TimeZoneName": "sample string 5",
"WorkLocationName": "sample string 6",
"CompanyName": "sample string 7",
"WorkLocationCode": "sample string 8",
"ReportedById": 1,
"ReportedByOtherValue": "sample string 9",
"ReportedByName": "sample string 10",
"ReportedByFirstName": "sample string 11",
"ReportedByLastName": "sample string 12",
"ReportedByEmail": "sample string 13",
"ReportedByJobTitle": "sample string 14",
"ReportedByCallerId": "sample string 15",
"IsReportedToMgmt": true,
"DateReportedToMgmt": "2026-08-04T14:29:28.1459124-07:00",
"lstIncidentCriticalReportEncounter": [
{
"EncounterId": 1,
"CaseNo": 2,
"Assessment": "sample string 3",
"Recommendation": "sample string 4",
"Sequence": 5,
"TimeCallReceived": "00:00:00.1234567",
"TimeOnScene": "00:00:00.1234567",
"TotalTimeOnScene": "00:00:00.1234567",
"TimeTransported": "00:00:00.1234567",
"TimeUnitClear": "00:00:00.1234567",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:28.1459124-07:00",
"DateUpdated": "2026-08-04T14:29:28.1459124-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
},
{
"EncounterId": 1,
"CaseNo": 2,
"Assessment": "sample string 3",
"Recommendation": "sample string 4",
"Sequence": 5,
"TimeCallReceived": "00:00:00.1234567",
"TimeOnScene": "00:00:00.1234567",
"TotalTimeOnScene": "00:00:00.1234567",
"TimeTransported": "00:00:00.1234567",
"TimeUnitClear": "00:00:00.1234567",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:28.1459124-07:00",
"DateUpdated": "2026-08-04T14:29:28.1459124-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
}
],
"IncidentDateCheck": "2026-08-04T14:29:28.1459124-07:00",
"TotalNoOfEncounter": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:28.1459124-07:00",
"DateUpdated": "2026-08-04T14:29:28.1459124-07:00",
"UserIDCreated": 19,
"UserIDUpdated": 20,
"CompanyCode": "sample string 21",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample not available.
Response Information
Resource Description
AsapResponseOfIncidentCriticalReportDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | IncidentCriticalReportDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"CaseNo": 1,
"CorporationCode": "sample string 2",
"WLCode": "sample string 3",
"ChiefComplain": "sample string 4",
"IncidentDate": "2026-08-04T14:29:28.1771483-07:00",
"IncidentTime": "00:00:00.1234567",
"TimeZone": 1,
"TimeZoneName": "sample string 5",
"WorkLocationName": "sample string 6",
"CompanyName": "sample string 7",
"WorkLocationCode": "sample string 8",
"ReportedById": 1,
"ReportedByOtherValue": "sample string 9",
"ReportedByName": "sample string 10",
"ReportedByFirstName": "sample string 11",
"ReportedByLastName": "sample string 12",
"ReportedByEmail": "sample string 13",
"ReportedByJobTitle": "sample string 14",
"ReportedByCallerId": "sample string 15",
"IsReportedToMgmt": true,
"DateReportedToMgmt": "2026-08-04T14:29:28.1771483-07:00",
"lstIncidentCriticalReportEncounter": [
{
"EncounterId": 1,
"CaseNo": 2,
"Assessment": "sample string 3",
"Recommendation": "sample string 4",
"Sequence": 5,
"TimeCallReceived": "00:00:00.1234567",
"TimeOnScene": "00:00:00.1234567",
"TotalTimeOnScene": "00:00:00.1234567",
"TimeTransported": "00:00:00.1234567",
"TimeUnitClear": "00:00:00.1234567",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:28.1771483-07:00",
"DateUpdated": "2026-08-04T14:29:28.1771483-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
},
{
"EncounterId": 1,
"CaseNo": 2,
"Assessment": "sample string 3",
"Recommendation": "sample string 4",
"Sequence": 5,
"TimeCallReceived": "00:00:00.1234567",
"TimeOnScene": "00:00:00.1234567",
"TotalTimeOnScene": "00:00:00.1234567",
"TimeTransported": "00:00:00.1234567",
"TimeUnitClear": "00:00:00.1234567",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:28.1771483-07:00",
"DateUpdated": "2026-08-04T14:29:28.1771483-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
}
],
"IncidentDateCheck": "2026-08-04T14:29:28.1771483-07:00",
"TotalNoOfEncounter": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:28.1771483-07:00",
"DateUpdated": "2026-08-04T14:29:28.1771483-07:00",
"UserIDCreated": 19,
"UserIDUpdated": 20,
"CompanyCode": "sample string 21",
"IsExcludeDiscount": true
},
"totalCount": 3
}